Rupert Murdoch and Jerry Hall are getting a divorce, US media report says
The split is unlikely to alter the ownership structure of businesses he holds stakes in, including the parent companies of Fox News and The Wall Street Journal. ⌘ Read more
China plans to review every single social media comment, sparking more censorship fears
China’s internet watchdog wants all social platforms to review all user comments before they are published, fanning concerns that freedom of speech will be further restricted. ⌘ Read more
President Xi Jinping’s ‘deep feelings’ for Hong Kong highlighted by state media as city prepares to mark 25th anniversary of handover
Article, headlined ‘Hong Kong’s development is always close to my heart’ compiles a number of Xi’s past speeches which touched on city. ⌘ Read more
Singapore seeks ‘online safety’ rules to remove or block harmful social media content
Examples of content that could be blocked reportedly include live-streamed videos of mass shootings and viral social media challenges that encourage young people to perform dangerous stunts. ⌘ Read more
Coronavirus: Is North Korea getting ready to declare victory over Covid-19?
Pyongyang only acknowledged that it had a coronavirus outbreak last month. Yet state media claims cases are already plummeting and says just 73 people have died – a widely disputed fatality rate of 0.002 per cent, the lowest in the world. ⌘ Read more
Chinese fugitive wanted for racist videos of Malawi children arrested in Zambia
Fugitive Lu Ke is accused of filming young villagers saying racist things about themselves in Chinese, then selling the footage on social media. ⌘ Read more
Total recall: Chinese wife nurses stroke-stricken husband back from the brink using the power of love
Chinese social media falls in love with an elderly couple who battled together to overcome a terrible medical condition ⌘ Read more
China to tighten grip on social media comments, requiring sites to employ sufficient content moderators
The draft regulation demands platforms to employ a content moderation team commensurate with the scale of the services. ⌘ Read more
China’s latest hot export is a US$50 toy Russian fighter jet that ‘will never break’, helped by social media such as TikTok
The fighter jet toy, with a price tag of less than US$50 on e-commerce sites such as eBay and Amazon, has gained popularity for its affordability and durability. ⌘ Read more
TikTok moves US user data to Oracle servers amid concerns over China
The move comes as US media reports that such data was repeatedly accessed by China-based ByteDance staff, according to leaked audio from internal meetings. ⌘ Read more
China launches Fujian, PLA Navy’s 3rd aircraft carrier
After at least two delays, the Type 003 warship has left the Jiangnan shipyard in Shanghai, according to Chinese state media. ⌘ Read more
Amazon, Cartier slap Chinese social media influencer, 8 others with lawsuits over trademark infringement, false advertising
The legal action reflects more signs of trouble for merchants belonging to the ‘made in China, sold on Amazon’ community. ⌘ Read more
China-India border: state media marks second anniversary of Galwan Valley clash in lead-up to new talks
CCTV military channel publishes three-minute video salute to four dead PLA soldiers on social media, drawing 4.36 million views on Weibo by noon on Thursday. ⌘ Read more
‘Charming danger’: Chinese social media meltdown as 290 million view post about a poisonous tree flower popular with photo enthusiasts
Chinese selfie lovers have been told to avoid the poisonous oleander plant after a blogger fell sick within hours of touching it. ⌘ Read more
Suspects confess to killing and dismembering UK journalist and Brazilian guide, media report says
Reporter Dom Phillips and indigenous expert Bruno Pereira have been missing for a week in the Amazon rainforest, sparking an ongoing search and investigation. ⌘ Read more
SCMP picks Catherine So as chief executive, tapping Hong Kong media and tech veteran to run one of Asia’s oldest English newspapers
Liu, who has led the newspaper for five and half years, fundamentally transformed one of Asia’s oldest newspapers into a 21st-century information product that reacted to news events and responded to readers’ preferences in real time. ⌘ Read more
China parenting: rock star Zheng Jun in child abuse scandal claims son’s 1,000 kowtow ‘punishment’ was ‘Buddhist ritual’
A Chinese rock star who punished his son by offering him the choice of sitting in an uncomfortable position for an hour or being physically beaten and then recorded the incident and posted it on social media is under fire for alleged child abuse. ⌘ Read more
Foi então hoje, enquadrado no festival literário “Lamego Cidade Poema”, o lançamento da colectânea “Lamego 2022, o Antes e o Depois”, na qual participei com um pequeno conto de Ficção Científica.
Foi então hoje, enquadrado no festival literário “Lamego Cidade Poema”, o lançamento da colectânea “Lamego 2022, o Antes e o Depois”, na qual participei com um pequeno conto de Ficção Científica.
Stories from inside Microsoft (1998 - 2003)
Watch now (51 min) | Yelled at by Gates. Spit on by Ballmer. NT 5, DEC Alphas, Office for Mac, Windows Media Player for Mac, and more. ⌘ Read more
**RT by @mind_booster: Cai a máscara ao governo PS!
Em resposta ao PCP Ministro da Cultura afirma: «Não é desejável acabar com precariedade na Cultura»
Diana Ferreira, deputada do PCP responde: +**
Cai a máscara ao governo PS!
Em resposta ao PCP Ministro da Cultura afirma: «Não é desejável acabar com precariedade na Cultura»
Diana Ferreira, deputada do PCP responde: +
⌘ Read moreI don’t use social media anymore, mostly for privacy reasons, but one of the things I miss about it is being able to interact directly with creators I enjoy.
Olá @Norte_2020 , sei que é feriado e tal, mas…
Olá @Norte_2020 , sei que é feriado e tal, mas…
R to @mind_booster: 5/5, I’m definitively happy with my choice!
5/5, I’m definitively happy with my choice!
**“overblessed” is quite an interesting word, specially when it is being negated.
What I was not expecting was to see it hyphenated like this: overb-lessed.**
“overblessed” is quite an interesting word, specially when it is being negated.
What I was not expecting was to see it hyphenated like this: overb-lessed.
⌘ Read moreThe Media Hates This Man ⌘ Read more
Brainwashed by the Media ⌘ Read more

Connection Established!

#!/bin/sh
# Validate environment
if ! command -v msgbus > /dev/null; then
printf "missing msgbus command. Use: go install git.mills.io/prologic/msgbus/cmd/msgbus@latest"
exit 1
fi
if ! command -v salty > /dev/null; then
printf "missing salty command. Use: go install go.mills.io/salty/cmd/salty@latest"
exit 1
fi
if ! command -v salty-keygen > /dev/null; then
printf "missing salty-keygen command. Use: go install go.mills.io/salty/cmd/salty-keygen@latest"
exit 1
fi
if [ -z "$SALTY_IDENTITY" ]; then
export SALTY_IDENTITY="$HOME/.config/salty/$USER.key"
fi
get_user () {
user=$(grep user: "$SALTY_IDENTITY" | awk '{print $3}')
if [ -z "$user" ]; then
user="$USER"
fi
echo "$user"
}
stream () {
if [ -z "$SALTY_IDENTITY" ]; then
echo "SALTY_IDENTITY not set"
exit 2
fi
jq -r '.payload' | base64 -d | salty -i "$SALTY_IDENTITY" -d
}
lookup () {
if [ $# -lt 1 ]; then
printf "Usage: %s nick@domain\n" "$(basename "$0")"
exit 1
fi
user="$1"
nick="$(echo "$user" | awk -F@ '{ print $1 }')"
domain="$(echo "$user" | awk -F@ '{ print $2 }')"
curl -qsSL "https://$domain/.well-known/salty/${nick}.json"
}
readmsgs () {
topic="$1"
if [ -z "$topic" ]; then
topic=$(get_user)
fi
export SALTY_IDENTITY="$HOME/.config/salty/$topic.key"
if [ ! -f "$SALTY_IDENTITY" ]; then
echo "identity file missing for user $topic" >&2
exit 1
fi
msgbus sub "$topic" "$0"
}
sendmsg () {
if [ $# -lt 2 ]; then
printf "Usage: %s nick@domain.tld <message>\n" "$(basename "$0")"
exit 0
fi
if [ -z "$SALTY_IDENTITY" ]; then
echo "SALTY_IDENTITY not set"
exit 2
fi
user="$1"
message="$2"
salty_json="$(mktemp /tmp/salty.XXXXXX)"
lookup "$user" > "$salty_json"
endpoint="$(jq -r '.endpoint' < "$salty_json")"
topic="$(jq -r '.topic' < "$salty_json")"
key="$(jq -r '.key' < "$salty_json")"
rm "$salty_json"
message="[$(date +%FT%TZ)] <$(get_user)> $message"
echo "$message" \
| salty -i "$SALTY_IDENTITY" -r "$key" \
| msgbus -u "$endpoint" pub "$topic"
}
make_user () {
mkdir -p "$HOME/.config/salty"
if [ $# -lt 1 ]; then
user=$USER
else
user=$1
fi
identity_file="$HOME/.config/salty/$user.key"
if [ -f "$identity_file" ]; then
printf "user key exists!"
exit 1
fi
# Check for msgbus env.. probably can make it fallback to looking for a config file?
if [ -z "$MSGBUS_URI" ]; then
printf "missing MSGBUS_URI in environment"
exit 1
fi
salty-keygen -o "$identity_file"
echo "# user: $user" >> "$identity_file"
pubkey=$(grep key: "$identity_file" | awk '{print $4}')
cat <<- EOF
Create this file in your webserver well-known folder. https://hostname.tld/.well-known/salty/$user.json
{
"endpoint": "$MSGBUS_URI",
"topic": "$user",
"key": "$pubkey"
}
EOF
}
# check if streaming
if [ ! -t 1 ]; then
stream
exit 0
fi
# Show Help
if [ $# -lt 1 ]; then
printf "Commands: send read lookup"
exit 0
fi
CMD=$1
shift
case $CMD in
send)
sendmsg "$@"
;;
read)
readmsgs "$@"
;;
lookup)
lookup "$@"
;;
make-user)
make_user "$@"
;;
esac
Critical Race Theory course being taught at Peel high school
INTERFERENCE: Freeland’s office “pressured” legacy media to change critical stories
Only 14% of Canadians “strongly approve” of Trudeau’s pandemic response: poll
Why everyone should be concerned about Ontario’s critical race theory bill
Leslyn Lewis says she’s running on principles and respect for others
First Nations chief warns MPs as Emergencies Act inquiry begins
Conservative leadership race turns nasty between Poilievre and Brown
Trudeau, Freeland met with Ukrainian neo-Nazi party cofounder
Doug Ford tells Ontario school boards to drop masks as ordered
B.C. premier John Horgan all insults toward Victoria protests
Media’s Climate Lies Revealed ⌘ Read more
One down! More to go.
BREAKING: Russian billionaire Alisher Usmanov’s super yacht, one of the biggest in the world, seized in Germany - Forbes
Internet Explorer… for UNIX? Yes. It’s real.
Microsoft built Internet Explorer for both Solaris and HP-UX. Outlook Express and Windows Media Player are here too! ⌘ Read more
@prologic@twtxt.net they are everywhere. 
daedalOS - the crazy Desktop environment in the browser
Complete with emulators, terminals, media players, live desktop wallpaper… and DOOM. All in a web browser. It’s both disturbing and wonderful. ⌘ Read more
As I read “No Social Media Club”, I wonder what it would be like if I don’t share so much on my blog, what it would be like if I had never started sharing anything on the internet in the first place? 🤔 I somehow don’t have an answer to this… ⌘ Read more

